﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace WindowsFormsApplication34
{
    public partial class Form1 : Form
    {
        string fileName;
        public Form1()
        {
            InitializeComponent();
            this.fileName = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "grid layout.xml");            
        }

        
        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.SaveAsXml(this.fileName);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Reset();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.LoadFromXml(this.fileName);
        }
    }
}
